de.vc.util

## Class LazyListWithLoader<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - de.vc.util.LazyList<E>
      - - de.vc.util.LazyListWithLoader<E>

- All Implemented Interfaces:
    java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>

      public class LazyListWithLoader<E>
      extends LazyList<E>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LazyListWithLoader.Loader<E>`

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyListWithLoader(LazyListWithLoader.Loader<E> loader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `calculateSize()` Implement this method to calculate the total size of this list.
    `protected void` | `fillChunk(int start, int length)` Implement this method to load a range of lazy loaded objects.
    `LazyListWithLoader.Loader<E>` | `getLoader()`

    - ### Methods inherited from class de.vc.util.LazyList

      `get, getGrowFactor, getShrinkThreshold, set, setChunkParams, setGrowFactor, setShrinkThreshold, setSize, size`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### LazyListWithLoader

          public LazyListWithLoader(LazyListWithLoader.Loader<E> loader)

  - ### Method Detail

    - #### getLoader

          public LazyListWithLoader.Loader<E> getLoader()

    - #### calculateSize

          protected int calculateSize()

      Description copied from class: `LazyList`
      Implement this method to calculate the total size of this list.
      Specified by:
        `calculateSize` in class `LazyList<E>`
      Returns:
        Size of list.

    - #### fillChunk

          protected void fillChunk(int start,
                       int length)

      Description copied from class: `LazyList`
      Implement this method to load a range of lazy loaded objects. Use the `set(int i, Object o)` method to set a loaded object.
      Specified by:
        `fillChunk` in class `LazyList<E>`
      Parameters:
        `start` - Start offset
        `length` - Chunk length

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.